%define name incron
%define version 0.5.9
%define release %mkrel 2

Summary: An inotify based cron daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: incron.initscript
Patch0:  incron-0.5.9-constness.patch
Patch1:  incron-0.5.9-includes.patch
License: GPL
Group: System/Servers
Url: http://incron.aiken.cz/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gcc-c++

%description
incron is an "inotify cron" system. It works like the regular cron but is
driven by filesystem events instead of time periods. It contains two
programs, a daemon called "incrond" (analogous to crond) and a table
manipulator "incrontab" (like "crontab").

%prep
%setup -q
%patch0 -p1 -b .const
%patch1 -p1 -b .includes
%build
%make OPTIMIZE="%optflags" PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot{%_sbindir,%_bindir}

make install \
    PREFIX=%buildroot%_prefix \
    USERDATADIR=%buildroot/var/spool/incron \
    SYSDATADIR=%buildroot%_sysconfdir/incron.d \
    CFGDIR=%buildroot%_sysconfdir \
    MANPATH=%buildroot%_mandir \
    USER=$USER

install -m644 incron.conf.example %buildroot%_sysconfdir/incron.conf

mkdir -p %buildroot%_sysconfdir/init.d/
install -m 755 %SOURCE1 %buildroot%_sysconfdir/init.d/incrond

%post
%_post_service incrond

%preun
%_preun_service incrond

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO
%doc doc/html
%attr(4755,root,root) %_bindir/incrontab
%_sbindir/incrond
/var/spool/incron
%_sysconfdir/incron.d
%_sysconfdir/incron.conf.example
%config(noreplace) %_sysconfdir/incron.conf
%_mandir/man?/*
%_sysconfdir/init.d/incrond




%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.9-2mdv2011.0
+ Revision: 619627
- the mass rebuild of 2010.0 packages

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.9-1mdv2010.0
+ Revision: 398242
- Adding patch (taken from Fedora) to fix build on x86_64
- Update to new version 0.5.9
- Fix includes for gcc 4.4

* Tue Jan 06 2009 Olivier Thauvin <nanardon@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 325184
- 0.5.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 80407
- 0.5.7

* Sat May 19 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.6-1mdv2008.0
+ Revision: 28534
- 0.5.6


* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.5-1mdv2007.0
+ Revision: 121191
- 0.5.5

* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 120669
- 0.5.4

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-2mdv2007.1
+ Revision: 118629
- add an initscript

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-1mdv2007.1
+ Revision: 118282
- initial mdv package
- Create incron

